### Name: lexdec
### Title: Lexical decision latencies for 79 English nouns
### Aliases: lexdec
### Keywords: datasets

### ** Examples

data(lexdec)
library(lme4, keep.source = FALSE)

lexdec.lmer = lmer(RT ~ 1 + Correct + Trial + PrevType * meanWeight + 
Frequency + NativeLanguage * Length + (1|Subject) + (1|Word), 
data = lexdec)
pvals.fnc(lexdec.lmer)$summary

# random slopes

lexdec.lmerA = lmer(RT ~ 1 + Correct + Trial + PrevType * meanWeight + 
Frequency + NativeLanguage * Length + (Trial|Subject) + (1|Word), 
data = lexdec)
anova(lexdec.lmer, lexdec.lmerA)

lexdec.lmerB = lmer(RT ~ 1 + Correct + Trial + PrevType * meanWeight + 
Frequency + NativeLanguage * Length + (Trial|Subject) + 
(Length|Subject) + (1|Word), data = lexdec)
anova(lexdec.lmerA, lexdec.lmerB)

# model criticism

qqnorm(resid(lexdec.lmerB))

lexdec.lmerC = lmer(RT ~ 1 + Correct + Trial + PrevType * meanWeight + 
Frequency + NativeLanguage * Length + 
(Trial|Subject) + (Length|Subject) + (1|Word), 
data = lexdec[abs(scale(resid(lexdec.lmerB)))<2,])

qqnorm(resid(lexdec.lmerC))
pvals.fnc(lexdec.lmerC)$summary




